Bug 760732

Summary: [abrt] rhythmbox crashes within Magnatune plugin trying to instantiate a PyGI object with a NULL PyTypeObject* (SIGABRT)
Product: [Fedora] Fedora Reporter: Stuart D Gathman <stuart>
Component: pygobject3Assignee: John (J5) Palmieri <johnp>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: 1812riteshpatidar, afsar-servis, artur.crisostomo, bnocera, dmalcolm, dominik0492, fjpl, Iceburgh69, icq, ivazqueznet, jkeck, johnp, jonathansteffan, ktizzard, mjryba, rbeneyt, s.ali.najafian, scano78, sivlemx, thenextwolf, tomspur, twas6263, zk3703
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=755253
Whiteboard: abrt_hash:808bd78fe97c3e848f39637dcc8ccd702e49c5ae
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 10:09:31 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: dso_list
none
File: build_ids
none
File: smolt_data
none
File: maps
none
File: backtrace
none
File: backtrace none

Description Stuart D Gathman 2011-12-06 15:51:40 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        rhythmbox
comment:        After crashing when attempting to enable the magnatune plugin previously, now rhythymbox won't load at all.  Probably the magnatune plugin did get enabled, but immediately crashes the player at startup :-(
executable:     /usr/bin/rhythmbox
kernel:         3.1.2-1.fc16.i686
pid:            28855
pwd:            /home/stuart
reason:         Process /usr/bin/rhythmbox was killed by signal 6 (SIGABRT)
time:           Tue 06 Dec 2011 01:53:37 PM EST
uid:            902
username:       stuart
xsession_errors: 

backtrace:      Text file, 74108 bytes
build_ids:      Text file, 6806 bytes
dso_list:       Text file, 17093 bytes
maps:           Text file, 42719 bytes
smolt_data:     Text file, 2773 bytes

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=589
:HOSTNAME=melissa.gathman.org
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=fb337b923f8ec155953b333000000010-1323177759.199835-1378909523
:GNOME_KEYRING_CONTROL=/tmp/keyring-Hzp4rc
:IMSETTINGS_MODULE=none
:USER=stuart
:USERNAME=stuart
:MAIL=/var/spool/mail/stuart
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/stuart/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/stuart
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=27047
:LANG=en_US.UTF-8
:GDM_LANG=en_US.UTF-8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/stuart
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=stuart
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-qpQ0bLYpxo,guid=40f9fd1471391b9afc8c397b00047c57
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/stuart
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-stuart-rcF31p/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/27051,unix/unix:/tmp/.ICE-unix/27051
:SSH_AUTH_SOCK=/tmp/keyring-Hzp4rc/ssh
:GPG_AGENT_INFO=/tmp/keyring-Hzp4rc/gpg:0:1
:DESKTOP_STARTUP_ID=gnome-panel-27251-melissa.gathman.org-rhythmbox-12_TIME313830464
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=28855

var_log_messages:
:Dec  5 22:16:28 melissa abrt: detected unhandled Python exception in 'rhythmbox'
:Dec  5 22:16:29 melissa abrt[22412]: Saved core dump of pid 22388 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2011-12-05-22:16:28-22388 (78225408 bytes)
:Dec  6 13:53:37 melissa abrt: detected unhandled Python exception in 'rhythmbox'
:Dec  6 13:53:37 melissa abrt[28860]: Saved core dump of pid 28855 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2011-12-06-13:53:37-28855 (39157760 bytes)
Comment 1 Stuart D Gathman 2011-12-06 15:51:47 EST
Created attachment 541577 [details]
File: dso_list
Comment 2 Stuart D Gathman 2011-12-06 15:51:49 EST
Created attachment 541578 [details]
File: build_ids
Comment 3 Stuart D Gathman 2011-12-06 15:51:51 EST
Created attachment 541579 [details]
File: smolt_data
Comment 4 Stuart D Gathman 2011-12-06 15:51:53 EST
Created attachment 541580 [details]
File: maps
Comment 5 Stuart D Gathman 2011-12-06 15:51:57 EST
Created attachment 541581 [details]
File: backtrace
Comment 6 Stuart D Gathman 2011-12-16 10:49:13 EST
Workaround, edit active plugins in dconf-editor to remove magnatune.
Comment 7 Stuart D Gathman 2011-12-16 10:51:39 EST
*** Bug 766058 has been marked as a duplicate of this bug. ***
Comment 8 Stuart D Gathman 2012-02-10 14:22:29 EST
Crash seems to be in pygobject3 package.
Comment 9 abrt-bot 2012-03-20 12:14:07 EDT
Backtrace analysis of bugs across components suggests the actual bug is in component python, pygobject2 or pygobject3 instead of component rhythmbox, reassigning to python.

Bugs which were found to be similar to this bug: 
  rhythmbox: bug #755253, bug #755920, bug #760398, bug #766055, bug #766058, bug #767137, bug #767143, bug #767279, bug #783769, bug #786776, bug #788585
  totem: bug #772239, bug #785389, bug #785391, bug #785743, bug #785758, bug #785766, bug #785786, bug #785841, bug #788248

This comment is automatically generated.
Comment 10 abrt-bot 2012-03-20 12:14:17 EDT
*** Bug 785786 has been marked as a duplicate of this bug. ***
Comment 11 abrt-bot 2012-03-20 12:14:29 EDT
*** Bug 755920 has been marked as a duplicate of this bug. ***
Comment 12 abrt-bot 2012-03-20 12:14:40 EDT
*** Bug 786776 has been marked as a duplicate of this bug. ***
Comment 13 abrt-bot 2012-03-20 12:14:50 EDT
*** Bug 755253 has been marked as a duplicate of this bug. ***
Comment 14 abrt-bot 2012-03-20 12:15:00 EDT
*** Bug 788585 has been marked as a duplicate of this bug. ***
Comment 15 abrt-bot 2012-03-20 12:15:08 EDT
*** Bug 767279 has been marked as a duplicate of this bug. ***
Comment 16 abrt-bot 2012-03-20 12:15:18 EDT
*** Bug 783769 has been marked as a duplicate of this bug. ***
Comment 17 abrt-bot 2012-03-20 12:15:28 EDT
*** Bug 788248 has been marked as a duplicate of this bug. ***
Comment 18 abrt-bot 2012-03-20 12:15:37 EDT
*** Bug 772239 has been marked as a duplicate of this bug. ***
Comment 19 abrt-bot 2012-03-20 12:15:45 EDT
*** Bug 785766 has been marked as a duplicate of this bug. ***
Comment 20 abrt-bot 2012-03-20 12:15:54 EDT
*** Bug 767137 has been marked as a duplicate of this bug. ***
Comment 21 abrt-bot 2012-03-20 12:16:03 EDT
*** Bug 785391 has been marked as a duplicate of this bug. ***
Comment 22 abrt-bot 2012-03-20 12:16:11 EDT
*** Bug 767143 has been marked as a duplicate of this bug. ***
Comment 23 abrt-bot 2012-03-20 12:16:18 EDT
*** Bug 785743 has been marked as a duplicate of this bug. ***
Comment 24 abrt-bot 2012-03-20 12:16:26 EDT
*** Bug 785758 has been marked as a duplicate of this bug. ***
Comment 25 abrt-bot 2012-03-20 12:16:33 EDT
*** Bug 785841 has been marked as a duplicate of this bug. ***
Comment 26 abrt-bot 2012-03-20 12:16:41 EDT
*** Bug 785389 has been marked as a duplicate of this bug. ***
Comment 27 Dave Malcolm 2012-03-21 13:11:34 EDT
Looking at attachment 541581 [details], it's aborting in frame #3 of thread #1
#4  0x41a3b5a0 in g_assertion_message_expr (domain=0x0, file=0x512191 "pygobject.c", line=929, func=0x51258f "pygobject_new_full", expr=0x5122ad "tp != NULL") at gtestutils.c:1436

It's calling a PyGI function object:
#9  _wrap_g_callable_info_invoke (self=0x9a23b0c, py_args=('http://magnatune.com/info/song_info_xml.zip',), kwargs={}) at pygi-invoke.c:638

Reassigning to pygobject3

[However, looking at attachment 541577 [details] it looks like both pygobject2 and pygobject3 were dynamically linked into the process: does this work?]
Comment 28 Dave Malcolm 2012-03-21 13:19:12 EDT
*** Bug 740998 has been marked as a duplicate of this bug. ***
Comment 29 Stuart D Gathman 2012-03-25 21:45:11 EDT
Attempted to enable magnatune plugin.  Testing if new pygobject3 (11Dec20) fixes magnatune plugin crash.  It doesn't.

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
OS Release: Fedora release 16 (Verne)
Comment 30 Stuart D Gathman 2012-03-25 21:45:22 EDT
Created attachment 572610 [details]
File: backtrace
Comment 31 Stuart D Gathman 2012-03-25 22:27:11 EDT
Ubuntu also having problems with magnatune plugin:

http://askubuntu.com/questions/75594/rhythmbox-crashes-during-startup
Comment 32 abrt-bot 2012-03-30 08:09:31 EDT
*** Bug 806521 has been marked as a duplicate of this bug. ***
Comment 33 Sven Slootweg 2012-08-05 18:46:22 EDT
Happened when enabling the Magnatune plugin in Edit -> Plugins. Directly after ticking the checkbox, Rhythmbox crashed.

backtrace_rating: 4
Package: rhythmbox-2.90.1-17.git20110927.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 34 Stuart D Gathman 2012-08-05 22:07:58 EDT
I tried the magnatune plugin in F17, and it works again.  So the problem is fixed in the next Fedora release.
Comment 35 Fedora End Of Life 2013-01-16 09:07:56 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 36 Fedora End Of Life 2013-02-13 10:09:35 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.